from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class PhaseType(IntEnum):
    CAPTURING_PHASE = auto()
    AT_TARGET = auto()
    BUBBLING_PHASE = auto()
